Subject: [urn] What is holding up the LEX URN namespace registration?

From: [email-masked] (Dale R. Worley)
Date: Sun, 24 May 2020 11:53:47 -0400

"Hakala, Juha E" <[email-masked]> writes:
> The status of urn:lex request is unclear to me as well. Version 13 was
> published ages ago
> (https://datatracker.ietf.org/doc/draft-spinosa-urn-lex/) but I don't
> know if it addressed the concerns Dale brought up in an email sent
> April 30 2018. It seemed at that point that we were very close to
> approving the request, so it is unfortunate that the process was
> stalled. We should contact Enrico Francesconi and tell him what he
> needs to do to finish the work. He did ask us the status of the
> process last October, but I don't know if he got an answer.

My latest opinion regarding the urn:lex proposal was approval on 5 June
2018:

    From: [email-masked] (Dale R. Worley)
    To: Enrico Francesconi <[email-masked]>
    Date: Tue, 05 Jun 2018 22:28:24 -0400
    Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/VpshWLYPcRfqy__xqsH5wz_BO-A>
    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    Cc: [email-masked], [email-masked],
            [email-masked], [email-masked],
            [email-masked], [email-masked]

    Enrico Francesconi <[email-masked]> writes:
    > As for the issue you raised about the maintenance of the registry of
    > jurisdiction codes, we agree at this stage to be ITTIG-CNR the
    > Registrar. In this respect we propose the following changes:

    The changes you propose seem satisfactory to me.

I posted this comment on 11 Dec 2018:

    From: [email-masked] (Dale R. Worley)
    To: Enrico Francesconi <[email-masked]>
    Date: Tue, 11 Dec 2018 22:13:13 -0500
    Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/71un9dFHWjatiVVsLND0HRKiC8s>
    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    Cc: [email-masked], [email-masked], [email-masked],
            [email-masked], [email-masked], [email-masked],
            [email-masked]

    Enrico Francesconi <[email-masked]> writes:
    > being quite a long time since the last communication (June 2018), we
    > were wondering whether any action from our side is needed before to
    > proceed with the so called "experimental" registration of the URN:LEX
    > namespace.

    Sorry, we've dropped the ball here.  As far as I can tell from reviewing
    the discussion at
    https://www.ietf.org/mail-archive/web/urn/current/maillist.html, we have
    consensus to register the namespace based on draft-spinosa-urn-lex-13,
    but we haven't actually notified IANA of that.  Who is it that notifies
    IANA?

Then there was this message on 12 Dec 2018:

    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    To: Enrico Francesconi <[email-masked]>,
            "Dale R. Worley" <[email-masked]>
    Cc: Alexey Melnikov <[email-masked]>,
            Barry Leiba <[email-masked]>, [email-masked],
            [email-masked], [email-masked], [email-masked]
    From: Peter Saint-Andre <[email-masked]>
    Date: Wed, 12 Dec 2018 07:39:20 -0700

    In my role as URN review team lead, I will contact the IANA.
    [quoted material deleted - DRW]

Followed up by this on the same day:

    To: Enrico Francesconi <[email-masked]>,
            "Dale R. Worley" <[email-masked]>
    From: Peter Saint-Andre <[email-masked]>
    Date: Wed, 12 Dec 2018 10:30:25 -0700
    Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/z6sx-t9fCVZ5dfCKOEbIrHe6jis>
    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    Cc: Barry Leiba <[email-masked]>,
            Alexey Melnikov <[email-masked]>, [email-masked],
            [email-masked], [email-masked], [email-masked]

    Actually, I'll coordinate with Alexey, since he's the sponsoring Area
    Director.
    [quoted material deleted - DRW]

And then this on 4 Mar 2019:

    To: Enrico Francesconi <[email-masked]>
    From: Peter Saint-Andre <[email-masked]>
    Date: Mon, 4 Mar 2019 18:41:42 -0700
    Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/2ZNAplit_W8dwQmALHh-8zLR4dk>
    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    Cc: [email-masked], Alexey Melnikov <[email-masked]>,
            LUPO Caterina <[email-masked]>,
            Pierluigi Spinosa <[email-masked]>

    As far as I know, this Internet-Draft is intended to be published as an
    informational RFC, in which case the IANA registration would happen
    through normal processes before publication. However, the datatracker
    page indicates that Alexey needs to follow up (specifically it appears
    that he needs to create the writeup for balloting by the IESG).

    Alexey, please let us know if we're mistaken about the next steps for
    this registration.
    [quoted material deleted - DRW]

Then I have record of a few similar messages between the review group
and our AD:
<https://mailarchive.ietf.org/arch/msg/urn/g8eC8QR6Lv1jmtgDT-yCApCvUIQ>
<https://mailarchive.ietf.org/arch/msg/urn/6_hLnPj9pXjM3cV-qSPGY_xkCy4>

On 17 Oct 2019, I sent this inquiry to our AD:

    From: [email-masked] (Dale R. Worley)
    To: [email-masked]
    Date: Thu, 17 Oct 2019 22:00:33 -0400
    Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/AtoVfxYg_b7Ho-RaRGcft0CVWxg>
    Subject: Re: [urn] Moving ahead with draft-spinosa-urn-lex
    Cc: Enrico Francesconi <[email-masked]>,
            [email-masked], [email-masked],
            [email-masked], [email-masked]

    Alexey,

    Can you get us ([email-masked]) an update on the processing of
    draft-spinosa-urn-lex?

    As far as I can tell, the URN group has been satisfied with this
    registration/I-D since last December, but its processing has been
    stalled for reasons that are obscure.

    I understand that you are the supervising Area Director of this
    activity, so on behalf of the URN group, I am requesting guidance from
    you as to the next step for completing this work.

After that date, I can find no record of e-mail from our AD, either to
me personally or the URN mailing list.

However, checking with https://datatracker.ietf.org/wg/, I see that
Alexey is no longer an ART AD, which may account for why things have
gone awry.

Who is responsible for the next step?

Dale